All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.models
Class NodeIcon

    com.sas.models.NodeIcon

All Implemented Interfaces:
  com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, ModelInterface, MutableNodeInterface, MutableSimpleNodeInterface, NodeIconInterface, NodeInterface, SimpleNodeInterface, StaticNodeStyleInterface, TreeInterface, java.io.Serializable

Direct Known Subclasses:
  SASListNode

    public class NodeIcon

implements NodeIconInterface

NodeIcon extends Node and provides an implementation of NodeIconInterface

See Also:
  Serialized Form

Field Summary
`protected com.sas.visuals.IconInterface` | `defaultIcon` Default Icon property.
`protected com.sas.visuals.IconInterface` | `expandedIcon` Expanded icon property.
`protected com.sas.visuals.IconInterface` | `expandedSelectedIcon` Expanded, Selected icon property.
`protected com.sas.visuals.IconInterface` | `selectedIcon` Selected icon property.

Fields inherited from class com.sas.models.Node
`children, defaultNodeStyle, expandedNodeText, externalUpdateSupported, hasChildren, nodeStyle, nodeText, nodeType, objectData, RB_KEY`

Constructor Summary
`NodeIcon()` Constructs a NodeIcon object.
`NodeIcon(java.lang.String nodeText)` Constructs a NodeIcon object with the specified text string.
`NodeIcon(java.lang.String nodeText, java.lang.String nodeType)` Constructs a NodeIcon object with the specified text and type strings.

Method Summary
`com.sas.visuals.IconInterface` | `getDefaultIcon()` Returns the default icon for the current node.
`com.sas.visuals.IconInterface` | `getExpandedIcon()` Returns the expanded icon for the current node.
`com.sas.visuals.IconInterface` | `getExpandedSelectedIcon()` Returns the expandedSelected icon for the current node.
`com.sas.visuals.IconInterface` | `getSelectedIcon()` Returns the selected icon for the current node.
`void` | `setDefaultIcon(com.sas.visuals.IconInterface newValue)` Sets the default icon for the current node.
`void` | `setExpandedIcon(com.sas.visuals.IconInterface newValue)` Sets the expanded icon for the current node.
`void` | `setExpandedSelectedIcon(com.sas.visuals.IconInterface newValue)` Sets the expandedSelected icon for the current node.
`void` | `setSelectedIcon(com.sas.visuals.IconInterface newValue)` Sets the selected icon to be used for the current node.

Methods inherited from class com.sas.models.Node
`addItems, addNodeChild, addNodeChild, addPropertyChangeListener, attachView, countNodeChildren, detachView, firePropertyChange, firePropertyChange, getDefaultNodeStyle, getIndex, getNodeChild, getNodeChildCount, getNodeChildren, getNodeChildren, getNodeExpandedText, getNodeStyle, getNodeText, getNodeType, getNodeTypes, getObjectData, getRoot, isExternalUpdateSupported, isLeafNode, moveNodeChild, notifyPropertyChange, removeAllNodeChildren, removeNodeChild, removeNodeChild, removePropertyChangeListener, setDefaultNodeStyle, setExternalUpdateSupported, setNodeChildren, setNodeExpandedText, setNodeStyle, setNodeText, setNodeType, setObjectData, sort, toString`

Methods inherited from interface com.sas.models.NodeInterface
`getNodeExpandedText, getNodeText, getNodeType`

Methods inherited from interface com.sas.models.SimpleNodeInterface
`countNodeChildren, getNodeChild, getNodeChildCount, getNodeChildren, isLeafNode`

Field Detail

### defaultIcon

    protected com.sas.visuals.IconInterface defaultIcon

  Default Icon property.

### selectedIcon

    protected com.sas.visuals.IconInterface selectedIcon

  Selected icon property.

### expandedIcon

    protected com.sas.visuals.IconInterface expandedIcon

  Expanded icon property.

### expandedSelectedIcon

    protected com.sas.visuals.IconInterface expandedSelectedIcon

  Expanded, Selected icon property.

Constructor Detail

### NodeIcon

    public NodeIcon()

  Constructs a NodeIcon object.

  See Also:
    `Node.Node()`

### NodeIcon

    public NodeIcon(java.lang.String nodeText)

  Constructs a NodeIcon object with the specified text string. The text string is used to initialize the nodeText property.

  Parameters:
    `nodeText` - initial value of the nodeText property
  See Also:
    `Node.Node(String)`

### NodeIcon

    public NodeIcon(java.lang.String nodeText,
                    java.lang.String nodeType)

  Constructs a NodeIcon object with the specified text and type strings. The specified values are used to initialize the nodeText and nodeType properties.

  Parameters:
    `nodeText` - initial value of the nodeText property.
    `nodeType` - initial value of the nodeType property.
  See Also:
    `Node.Node(String, String)`

Method Detail

### getDefaultIcon

    public com.sas.visuals.IconInterface getDefaultIcon()

  Returns the default icon for the current node. The default icon is used for unexpanded, unselected states. If no other icons are set, then it will serve for all states. If there is no default icon set, null is returned. The default value is null.

  Specified by:
    `getDefaultIcon` in interface `NodeIconInterface`
  Returns:
    the default icon, otherwise null

### getExpandedIcon

    public com.sas.visuals.IconInterface getExpandedIcon()

  Returns the expanded icon for the current node. The expanded icon is used whenever a node is expanded but not selected. If a node is a leafNode, expanded icon is ignored. If there is no expanded icon set, the result of getDefaultIcon is returned.

  Specified by:
    `getExpandedIcon` in interface `NodeIconInterface`
  Returns:
    the expanded icon, otherwise the result of getDefaultIcon
  See Also:
    `getDefaultIcon()`

### getExpandedSelectedIcon

    public com.sas.visuals.IconInterface getExpandedSelectedIcon()

  Returns the expandedSelected icon for the current node. The expandedSelected icon is used whenever a node is expanded and selected simultaneously. If a node is a leaf node, expandedSelected icon is ignored. If expandedSelected icon is not set, the result of getExpandedIcon is returned. The default value is null.

  Specified by:
    `getExpandedSelectedIcon` in interface `NodeIconInterface`
  Returns:
    the expandedSelected icon, otherwise the result of getExpandedIcon
  See Also:
    `getExpandedIcon()`

### getSelectedIcon

    public com.sas.visuals.IconInterface getSelectedIcon()

  Returns the selected icon for the current node. The selected icon is used whenever a node is selected and not expanded. If there is not a selected icon set, the result of getDefaultIcon is returned.

  Specified by:
    `getSelectedIcon` in interface `NodeIconInterface`
  Returns:
    the selected icon, otherwise the result of getDefaultIcon
  See Also:
    `getDefaultIcon()`

### setDefaultIcon

    public void setDefaultIcon(com.sas.visuals.IconInterface newValue)

  Sets the default icon for the current node. The default icon is used for unexpanded, unselected states. If no other icons are set, then it will serve for all states.

  Parameters:
    `newValue` - the new default icon

### setExpandedIcon

    public void setExpandedIcon(com.sas.visuals.IconInterface newValue)

  Sets the expanded icon for the current node. The expanded icon is used whenever a node is expanded but not selected. If a node is a leaf node then expanded icon is not used.

  Parameters:
    `newValue` - the new expanded icon

### setExpandedSelectedIcon

    public void setExpandedSelectedIcon(com.sas.visuals.IconInterface newValue)

  Sets the expandedSelected icon for the current node. The expandedSelected icon is used whenever a node is expanded and selected simultaneously. If a node is a leaf node then expandedSelected icon is not used.

  Parameters:
    `newValue` - the new expandedSelected icon

### setSelectedIcon

    public void setSelectedIcon(com.sas.visuals.IconInterface newValue)

  Sets the selected icon to be used for the current node. The selected icon is used whenever a node is selected and not expanded.

  Parameters:
    `newValue` - the new selected icon

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.